using Tiobon.Core.Common;
using Tiobon.Core.Model;
using Tiobon.Core.Model.ViewModels.Extend;

namespace Tiobon.Core.IServices;

/// <summary>
/// 培训计划(自定义服务接口)
/// </summary>	
public interface IGhre_PlanServices : IBaseServices<Ghre_Plan, Ghre_PlanDto, InsertGhre_PlanInput, EditGhre_PlanInput>
{
    Task<ServiceResult<long>> InsertByStatus(InsertGhre_PlanInput insertModel, string status);

    Task<ServiceResult> UpdateStatus(InsertGhre_PlanInput input, string status);

    Task<ServicePageResult<UshioPlanReport>> QueryUshioPlan(QueryBody filter);

    Task<ServicePageResult<CompletionRateBLT>> QueryCompletionRateBLT(QueryBody filter);
}